package lsgui.verify;

public enum OutputVariant {
    
    AVERAGE_ERROR ("Average Error", "Average_Error"),
    MAXIMUM_ERROR ("Maximum Error", "Maximum_Error"),
    MINIMUM_ERROR ("Minimum Error", "Minimum_Error"),
    MEAN_SQUARED_ERROR ("Mean Squared Error", "Mean_Squared_Error"),
    ROOT_MEAN_SQUARED_ERROR ("Root Mean Squared Error", "Root_Mean_Squared_Error");
    
    private final String tag;
    private final String fileTag;
    
    OutputVariant(String tag, String fileTag) {
        this.tag = tag;
        this.fileTag = fileTag;
    }
    
    public String tag() { return tag; }
    public String fileTag() { return fileTag; }
    
    public static String[] toStringArray() {
        int i = 0;
        String[] sa = new String[values().length];
        for (OutputVariant ov : values()) {
            sa[i++] = ov.tag();
        }
        return sa;
    }
    
}
